# Changelog

## [unreleased]

### 🐛 Bug Fixes

- *(Bedrock)* Allow tools kwargs for AWS Bedrock Claude model (#976)

### 🚜 Refactor

- Remove usage of deprecated `ChatMessage.to_openai_format` (#1007)

## [integrations/amazon_bedrock-v1.0.1] - 2024-08-19

### 🚀 Features

- Make truncation optional for bedrock chat generator (#967)

### 🐛 Bug Fixes

- Normalising ChatGenerators output (#973)

## [integrations/amazon_bedrock-v1.0.0] - 2024-08-12

### 🚜 Refactor

- Change meta data fields (#911)

### 🧪 Testing

- Do not retry tests in `hatch run test` command (#954)

## [integrations/amazon_bedrock-v0.10.0] - 2024-08-12

### 🐛 Bug Fixes

- Support streaming_callback param in amazon bedrock generators (#927)

### Docs

- Update AmazonBedrockChatGenerator docstrings (#949)
- Update AmazonBedrockGenerator docstrings (#956)

## [integrations/amazon_bedrock-v0.9.3] - 2024-07-17

### 🚀 Features

- Use non-gated tokenizer as fallback for mistral in AmazonBedrockChatGenerator (#843)
- Made truncation optional for BedrockGenerator (#833)

### ⚙️ Miscellaneous Tasks

- Retry tests to reduce flakyness (#836)
- Update ruff invocation to include check parameter (#853)

## [integrations/amazon_bedrock-v0.9.0] - 2024-06-14

### 🚀 Features

- Support Claude v3, Llama3 and Command R models on Amazon Bedrock (#809)

### 🧪 Testing

- Amazon Bedrock - skip integration tests from forks (#801)

## [integrations/amazon_bedrock-v0.8.0] - 2024-05-23

### 🐛 Bug Fixes

- Max_tokens typo in Mistral Chat (#740)

## [integrations/amazon_bedrock-v0.7.1] - 2024-04-24

## [integrations/amazon_bedrock-v0.7.0] - 2024-04-16

### 🚀 Features

- Add Mistral Amazon Bedrock support  (#632)

### 📚 Documentation

- Disable-class-def (#556)

## [integrations/amazon_bedrock-v0.6.0] - 2024-03-11

### 🚀 Features

- AmazonBedrockChatGenerator - migrate Anthropic chat models to use messaging API (#545)

### 📚 Documentation

- Small consistency improvements (#536)
- Review integrations bedrock (#550)

## [integrations/amazon_bedrock-v0.5.1] - 2024-02-22

### 🚀 Features

- Add Amazon Bedrock chat model support (#333)

### 🐛 Bug Fixes

- Fix order of API docs (#447)

This PR will also push the docs to Readme

### 📚 Documentation

- Update category slug (#442)

### ⚙️ Miscellaneous Tasks

- Update Amazon Bedrock integration to use new generic callable (de)serializers for their callback handlers (#452)
- Use `serialize_callable` instead of `serialize_callback_handler` in Bedrock (#459)

## [integrations/amazon_bedrock-v0.3.0] - 2024-01-30

### ⚙️ Miscellaneous Tasks

- [**breaking**] Rename `model_name` to `model` in `AmazonBedrockGenerator` (#220)
- Amazon Bedrock subproject refactoring (#293)
- Adjust amazon bedrock helper classes names (#297)

## [integrations/amazon_bedrock-v0.1.0] - 2024-01-03

<!-- generated by git-cliff -->
